import { PageUpdate } from '../page';
import { Manager } from './';
export type ScaleUpdate = {
    scaleFactor?: number;
    steps?: number;
    drawingDelay?: number;
    origin?: number[];
};
export type ScaleOptions = {
    noScroll?: boolean;
    preset?: boolean;
    drawingDelay?: number;
    origin?: number[];
};
export declare class ScaleManager extends Manager {
    private _currentScale;
    private _currentScaleValue;
    private scaleTimeoutId?;
    private zoomDelay;
    reset(): void;
    updateZoom(options?: ScaleUpdate): void;
    zoomIn(): void;
    zoomOut(): void;
    get currentScale(): number;
    set currentScale(val: number);
    get currentScaleValue(): string;
    set currentScaleValue(val: string);
    private isSameScale;
    private setScaleUpdatePages;
    private get pageWidthScaleFactor();
    setScale(value: string | number, options?: ScaleOptions): void;
    updateScale(options: ScaleUpdate): void;
    increaseScale(options?: ScaleUpdate): void;
    decreaseScale(options?: ScaleUpdate): void;
    refresh(_params: PageUpdate): void;
}
